From bd034a2a170a547b7a70b7a981e21df2006f298e Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <barracuda@macos-powerpc.org>
Date: Fri, 6 Dec 2024 02:03:35 +0800
Subject: [PATCH 2/2] Use openal-soft

---
 src/av/audio.c           | 5 -----
 src/av/audio.h           | 4 ----
 src/cocoa/CMakeLists.txt | 2 +-
 src/xlib/CMakeLists.txt  | 2 +-
 4 files changed, 2 insertions(+), 11 deletions(-)

diff --git src/av/audio.c src/av/audio.c
index 734dd213..5430ca37 100644
--- src/av/audio.c
+++ src/av/audio.c
@@ -25,10 +25,6 @@
 #include <string.h>
 #include <tox/toxav.h>
 
-#ifdef __APPLE__
-#include <OpenAL/al.h>
-#include <OpenAL/alc.h>
-#else
 #include <AL/al.h>
 #include <AL/alc.h>
 
@@ -39,7 +35,6 @@
 #ifndef ALC_ALL_DEVICES_SPECIFIER
 #include <AL/alext.h>
 #endif
-#endif
 
 #ifdef AUDIO_FILTERING
 #include <filter_audio.h>
diff --git src/av/audio.h src/av/audio.h
index e6b08550..0892cd85 100644
--- src/av/audio.h
+++ src/av/audio.h
@@ -5,11 +5,7 @@
 #include <stdint.h>
 #include <stdbool.h>
 
-#ifdef __APPLE__
-#include <OpenAL/alc.h>
-#else
 #include <AL/alc.h>
-#endif
 
 extern bool utox_audio_thread_init;
 
diff --git src/cocoa/CMakeLists.txt src/cocoa/CMakeLists.txt
index 851f2abd..8800bccf 100644
--- src/cocoa/CMakeLists.txt
+++ src/cocoa/CMakeLists.txt
@@ -26,10 +26,10 @@ target_link_libraries(utoxNATIVE
         "-framework CoreText"
         "-framework CoreVideo"
         "-framework Foundation"
-        "-framework OpenAL"
         "-framework OpenGL"
         "-framework QuartzCore"
         -lresolv
+        openal
     PRIVATE
         stb
 )
diff --git src/xlib/CMakeLists.txt src/xlib/CMakeLists.txt
index c43a34c7..a61b5c30 100644
--- src/xlib/CMakeLists.txt
+++ src/xlib/CMakeLists.txt
@@ -112,7 +112,7 @@ endif()
 if(APPLE)
     target_link_libraries(utoxNATIVE
         PUBLIC
-            "-framework OpenAL"
+            openal
     )
 endif()
 
